Tra cứu thông tin chứng khoán
curl --request GET \
--url https://openapi.tcbs.com.vn/ananke/v1/securities \
--header 'Authorization: Bearer <token>'import requests
url = "https://openapi.tcbs.com.vn/ananke/v1/securities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openapi.tcbs.com.vn/ananke/v1/securities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"codeId": "003415",
"issuerId": "0000001736",
"issuerName": "Công ty cổ phần Kỹ thương",
"symbol": "TCB",
"secType": "001",
"investmentType": "002",
"issueDate": "2016-12-14T00:00:00.000+07:00",
"expDate": "2016-12-14T00:00:00.000+07:00",
"underlyingSymbol": "",
"coveredWarrantType": "",
"exercisePrice": 0,
"parValue": 10000,
"tradePlace": "001",
"status": "Y",
"halt": "N",
"securitiesInfo": {
"symbol": "TCB",
"status": "001",
"listingQtty": 3517238514,
"txDate": "2016-12-13",
"listingStatus": "N",
"tradeUnit": 1000,
"ceilingPrice": 56700,
"floorPrice": 49300,
"basicPrice": 53000,
"tradeLot": 100,
"tradeBuySell": "Y",
"marginLimitMax": 0,
"currentRoom": 0,
"securedRatioMax": 102,
"mortageRatioMax": 0
}
}
],
"totalElements": 1,
"totalPages": 1,
"size": 1000,
"number": 0,
"first": true,
"last": true
}Dữ liệu thị trường
Tra cứu thông tin chứng khoán
Tra cứu thông tin chi tiết của mã chứng khoán: thông tin niêm yết, giá trần/sàn, sàn giao dịch, loại chứng khoán, hạn mức giao dịch, v.v.
GET
/
ananke
/
v1
/
securities
Tra cứu thông tin chứng khoán
Ủy quyền
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Tham số truy vấn
Các trường cần trả về. Mặc định: all.
Bộ lọc theo cú pháp trường=giá trị, ví dụ: symbol=TCB.
Phản hồi
Phản hồi thành công
Danh sách chứng khoán có phân trang.
Danh sách chứng khoán.
Show child attributes
Show child attributes
Tổng số bản ghi.
Tổng số trang.
Số bản ghi mỗi trang (mặc định 1000).
Trang hiện tại (0-indexed).
Có phải trang đầu.
Có phải trang cuối.